ERx Gaps
curl --request GET \
--url 'https://api.benzinga.com/api/v1/erx_gaps?token='import requests
url = "https://api.benzinga.com/api/v1/erx_gaps?token="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.benzinga.com/api/v1/erx_gaps?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.benzinga.com/api/v1/erx_gaps?token=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.benzinga.com/api/v1/erx_gaps?token="
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.benzinga.com/api/v1/erx_gaps?token=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.benzinga.com/api/v1/erx_gaps?token=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"erx_gap": [
{
"closing_range_alerts": [
{
"alert_date": "2026-06-12T15:50:55.000Z",
"alert_type": "CLOSING_RANGE_ALERT",
"closing_id": 747,
"closing_range_percentage": 95.44,
"day_high": 4.13,
"day_low": 3,
"description": "",
"gap_id": 5228,
"symbol": "ZDGE",
"title": ""
}
],
"day": 3,
"day1_valid": true,
"day_alerts": [
{
"alert_date": "2026-06-15T08:00:00.000Z",
"alert_type": "DAY_3_DIP_BELOW_HVC_ABOVE_10PCT",
"day": 3,
"day_alert_id": 1076,
"description": "ZDGE price dipped below 10% above HVC (Price: 4.10, HVC+10%: 4.58)",
"gap_id": 5228,
"price": 4.1,
"price_type": "price",
"title": "Day 3 Alert for ZDGE"
},
{
"alert_date": "2026-06-15T08:00:00.000Z",
"alert_type": "DAY_3_CROSS_FIBONACCI_LEVEL",
"day": 3,
"day_alert_id": 1077,
"description": "ZDGE price crossed Fibonacci level (Price: 4.10, Fib Level: 4.48)",
"gap_id": 5228,
"price": 4.1,
"price_type": "price",
"title": "Day 3 Alert for ZDGE"
}
],
"earnings_surprise": 40,
"ema_crossovers": [],
"ema_status": "Below HVC",
"ema_status_updated": "Jun 12, 2026, 8:15:28 PM",
"fibonacci_alerts": [],
"fibonacci_status": "",
"fibonacci_status_updated": "",
"first_13min_close": 3.52,
"gap_date": "2026-06-12",
"gap_day_high": 4.2,
"gap_day_low": 3,
"gap_percentage": 0,
"hvc_price": 4.16,
"hvc_undercut": 3.95,
"id": "5228",
"market_session_alerts": [],
"milestone_measurements": [],
"monster_gap": true,
"monster_power_earning_gap": true,
"next_ms_date": "2026-06-22",
"next_ms_day": 10,
"oel_gap": false,
"open": 3.31,
"power_earning_gap": true,
"previous_close": 3.31,
"price": 3.65,
"price_alerts": [
{
"description": "ZDGE crossed above HVC",
"direction": "above",
"gap_id": 5228,
"level_name": "HVC",
"level_price": 4.16,
"price": 4.16,
"price_alert_id": 1238,
"title": "ERX Price Alert for ZDGE"
}
],
"status": false,
"symbol": "ZDGE",
"triggered_date": "2026-06-15",
"updated": 1781510400,
"volume": 211022,
"volume_50d": 104498,
"volume_alerts": [
{
"alert_date": "2026-06-12T14:02:19.000Z",
"alert_id": 2331,
"alert_type": "VOLUME_RUN_RATE_100",
"average_volume_50d": 104498,
"description": "",
"gap_id": 5228,
"symbol": "ZDGE",
"title": "",
"volume": 133705,
"volume_ratio": 1.28
},
{
"alert_date": "2026-06-12T14:10:14.000Z",
"alert_id": 2333,
"alert_type": "VOLUME_RUN_RATE_200",
"average_volume_50d": 104498,
"description": "",
"gap_id": 5228,
"symbol": "ZDGE",
"title": "",
"volume": 224125,
"volume_ratio": 2.14
},
{
"alert_date": "2026-06-12T14:33:59.000Z",
"alert_id": 2335,
"alert_type": "VOLUME_RUN_RATE_300",
"average_volume_50d": 104498,
"description": "",
"gap_id": 5228,
"symbol": "ZDGE",
"title": "",
"volume": 342510,
"volume_ratio": 3.28
}
]
}
]
}
{
"ok": false,
"errors": [
{
"code": "auth_failed",
"id": "unauthorized",
"value": "Invalid or missing authentication token"
}
]
}
{
"ok": false,
"errors": [
{
"code": "no_data_found",
"id": "not_found",
"value": "No data found for the specified parameters"
}
]
}
{
"ok": false,
"errors": [
{
"code": "internal_server_error",
"id": "server_error",
"value": "An unexpected error occurred while processing your request"
}
]
}
Calendars
ERX Gaps
Returns earnings reaction gap data, which tracks significant price gaps following earnings announcements
GET
/
api
/
v1
/
erx_gaps
ERx Gaps
curl --request GET \
--url 'https://api.benzinga.com/api/v1/erx_gaps?token='import requests
url = "https://api.benzinga.com/api/v1/erx_gaps?token="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.benzinga.com/api/v1/erx_gaps?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.benzinga.com/api/v1/erx_gaps?token=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.benzinga.com/api/v1/erx_gaps?token="
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.benzinga.com/api/v1/erx_gaps?token=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.benzinga.com/api/v1/erx_gaps?token=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"erx_gap": [
{
"closing_range_alerts": [
{
"alert_date": "2026-06-12T15:50:55.000Z",
"alert_type": "CLOSING_RANGE_ALERT",
"closing_id": 747,
"closing_range_percentage": 95.44,
"day_high": 4.13,
"day_low": 3,
"description": "",
"gap_id": 5228,
"symbol": "ZDGE",
"title": ""
}
],
"day": 3,
"day1_valid": true,
"day_alerts": [
{
"alert_date": "2026-06-15T08:00:00.000Z",
"alert_type": "DAY_3_DIP_BELOW_HVC_ABOVE_10PCT",
"day": 3,
"day_alert_id": 1076,
"description": "ZDGE price dipped below 10% above HVC (Price: 4.10, HVC+10%: 4.58)",
"gap_id": 5228,
"price": 4.1,
"price_type": "price",
"title": "Day 3 Alert for ZDGE"
},
{
"alert_date": "2026-06-15T08:00:00.000Z",
"alert_type": "DAY_3_CROSS_FIBONACCI_LEVEL",
"day": 3,
"day_alert_id": 1077,
"description": "ZDGE price crossed Fibonacci level (Price: 4.10, Fib Level: 4.48)",
"gap_id": 5228,
"price": 4.1,
"price_type": "price",
"title": "Day 3 Alert for ZDGE"
}
],
"earnings_surprise": 40,
"ema_crossovers": [],
"ema_status": "Below HVC",
"ema_status_updated": "Jun 12, 2026, 8:15:28 PM",
"fibonacci_alerts": [],
"fibonacci_status": "",
"fibonacci_status_updated": "",
"first_13min_close": 3.52,
"gap_date": "2026-06-12",
"gap_day_high": 4.2,
"gap_day_low": 3,
"gap_percentage": 0,
"hvc_price": 4.16,
"hvc_undercut": 3.95,
"id": "5228",
"market_session_alerts": [],
"milestone_measurements": [],
"monster_gap": true,
"monster_power_earning_gap": true,
"next_ms_date": "2026-06-22",
"next_ms_day": 10,
"oel_gap": false,
"open": 3.31,
"power_earning_gap": true,
"previous_close": 3.31,
"price": 3.65,
"price_alerts": [
{
"description": "ZDGE crossed above HVC",
"direction": "above",
"gap_id": 5228,
"level_name": "HVC",
"level_price": 4.16,
"price": 4.16,
"price_alert_id": 1238,
"title": "ERX Price Alert for ZDGE"
}
],
"status": false,
"symbol": "ZDGE",
"triggered_date": "2026-06-15",
"updated": 1781510400,
"volume": 211022,
"volume_50d": 104498,
"volume_alerts": [
{
"alert_date": "2026-06-12T14:02:19.000Z",
"alert_id": 2331,
"alert_type": "VOLUME_RUN_RATE_100",
"average_volume_50d": 104498,
"description": "",
"gap_id": 5228,
"symbol": "ZDGE",
"title": "",
"volume": 133705,
"volume_ratio": 1.28
},
{
"alert_date": "2026-06-12T14:10:14.000Z",
"alert_id": 2333,
"alert_type": "VOLUME_RUN_RATE_200",
"average_volume_50d": 104498,
"description": "",
"gap_id": 5228,
"symbol": "ZDGE",
"title": "",
"volume": 224125,
"volume_ratio": 2.14
},
{
"alert_date": "2026-06-12T14:33:59.000Z",
"alert_id": 2335,
"alert_type": "VOLUME_RUN_RATE_300",
"average_volume_50d": 104498,
"description": "",
"gap_id": 5228,
"symbol": "ZDGE",
"title": "",
"volume": 342510,
"volume_ratio": 3.28
}
]
}
]
}
{
"ok": false,
"errors": [
{
"code": "auth_failed",
"id": "unauthorized",
"value": "Invalid or missing authentication token"
}
]
}
{
"ok": false,
"errors": [
{
"code": "no_data_found",
"id": "not_found",
"value": "No data found for the specified parameters"
}
]
}
{
"ok": false,
"errors": [
{
"code": "internal_server_error",
"id": "server_error",
"value": "An unexpected error occurred while processing your request"
}
]
}
{
"erx_gap": [
{
"closing_range_alerts": [
{
"alert_date": "2026-06-12T15:50:55.000Z",
"alert_type": "CLOSING_RANGE_ALERT",
"closing_id": 747,
"closing_range_percentage": 95.44,
"day_high": 4.13,
"day_low": 3,
"description": "",
"gap_id": 5228,
"symbol": "ZDGE",
"title": ""
}
],
"day": 3,
"day1_valid": true,
"day_alerts": [
{
"alert_date": "2026-06-15T08:00:00.000Z",
"alert_type": "DAY_3_DIP_BELOW_HVC_ABOVE_10PCT",
"day": 3,
"day_alert_id": 1076,
"description": "ZDGE price dipped below 10% above HVC (Price: 4.10, HVC+10%: 4.58)",
"gap_id": 5228,
"price": 4.1,
"price_type": "price",
"title": "Day 3 Alert for ZDGE"
},
{
"alert_date": "2026-06-15T08:00:00.000Z",
"alert_type": "DAY_3_CROSS_FIBONACCI_LEVEL",
"day": 3,
"day_alert_id": 1077,
"description": "ZDGE price crossed Fibonacci level (Price: 4.10, Fib Level: 4.48)",
"gap_id": 5228,
"price": 4.1,
"price_type": "price",
"title": "Day 3 Alert for ZDGE"
}
],
"earnings_surprise": 40,
"ema_crossovers": [],
"ema_status": "Below HVC",
"ema_status_updated": "Jun 12, 2026, 8:15:28 PM",
"fibonacci_alerts": [],
"fibonacci_status": "",
"fibonacci_status_updated": "",
"first_13min_close": 3.52,
"gap_date": "2026-06-12",
"gap_day_high": 4.2,
"gap_day_low": 3,
"gap_percentage": 0,
"hvc_price": 4.16,
"hvc_undercut": 3.95,
"id": "5228",
"market_session_alerts": [],
"milestone_measurements": [],
"monster_gap": true,
"monster_power_earning_gap": true,
"next_ms_date": "2026-06-22",
"next_ms_day": 10,
"oel_gap": false,
"open": 3.31,
"power_earning_gap": true,
"previous_close": 3.31,
"price": 3.65,
"price_alerts": [
{
"description": "ZDGE crossed above HVC",
"direction": "above",
"gap_id": 5228,
"level_name": "HVC",
"level_price": 4.16,
"price": 4.16,
"price_alert_id": 1238,
"title": "ERX Price Alert for ZDGE"
}
],
"status": false,
"symbol": "ZDGE",
"triggered_date": "2026-06-15",
"updated": 1781510400,
"volume": 211022,
"volume_50d": 104498,
"volume_alerts": [
{
"alert_date": "2026-06-12T14:02:19.000Z",
"alert_id": 2331,
"alert_type": "VOLUME_RUN_RATE_100",
"average_volume_50d": 104498,
"description": "",
"gap_id": 5228,
"symbol": "ZDGE",
"title": "",
"volume": 133705,
"volume_ratio": 1.28
},
{
"alert_date": "2026-06-12T14:10:14.000Z",
"alert_id": 2333,
"alert_type": "VOLUME_RUN_RATE_200",
"average_volume_50d": 104498,
"description": "",
"gap_id": 5228,
"symbol": "ZDGE",
"title": "",
"volume": 224125,
"volume_ratio": 2.14
},
{
"alert_date": "2026-06-12T14:33:59.000Z",
"alert_id": 2335,
"alert_type": "VOLUME_RUN_RATE_300",
"average_volume_50d": 104498,
"description": "",
"gap_id": 5228,
"symbol": "ZDGE",
"title": "",
"volume": 342510,
"volume_ratio": 3.28
}
]
}
]
}
{
"ok": false,
"errors": [
{
"code": "auth_failed",
"id": "unauthorized",
"value": "Invalid or missing authentication token"
}
]
}
{
"ok": false,
"errors": [
{
"code": "no_data_found",
"id": "not_found",
"value": "No data found for the specified parameters"
}
]
}
{
"ok": false,
"errors": [
{
"code": "internal_server_error",
"id": "server_error",
"value": "An unexpected error occurred while processing your request"
}
]
}
Query Parameters
Response
ERx Gaps
Was this page helpful?